# No SOURCE spec-file
#
#
%define major 26
%define realver %{major}.3.1
%define mozillalibdir %{_libdir}/%{name}
%define pluginsdir /usr/lib/mozilla/plugins


Summary:	Palemoon web browser
Name:		palemoon
Version:	%{realver}
Release:	%mkrel 1
License:	MPLv1+
Group:		Networking/WWW
URL:		http://www.palemoon.org/
Source3:	%{name}.png
Source4:	%{name}.desktop
#-----------------------------------------------------
Provides:	webclient
Requires:	indexhtml
Requires:       xdg-utils
Requires:	m4
Obsoletes:	%{name} < %version
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
#-----------------------------------------------------
AutoReqProv: no

%description
Pale Moon is an Open Source, Firefox-based web browser available for Linux,
focusing on efficiency and ease of use. Make sure to get the most out
of your browser!


%prep
#Here we go!
%ifarch %{ix86}
cd %_builddir
wget -nc http://linux.palemoon.org/files/%{realver}/%{name}-%{realver}.en-US.linux-i686.tar.bz2
tar -xvjf %{name}-%{realver}.en-US.linux-i686.tar.bz2
%else
cd %_builddir
wget -nc http://linux.palemoon.org/files/%{realver}/%{name}-%{realver}.en-US.linux-x86_64.tar.bz2
tar -xvjf %{name}-%{realver}.en-US.linux-x86_64.tar.bz2
%endif


%build
#nobuild


%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}


mkdir -p %{buildroot}%{mozillalibdir}
cp -r %name/* %{buildroot}%{mozillalibdir}


#compatibility links
mkdir -p %{buildroot}%{_bindir}
ln -sf %{mozillalibdir}/palemoon %{buildroot}%{_bindir}/palemoon

# Create an own %_libdir/mozilla/plugins
mkdir -p %{buildroot}/usr/lib/mozilla/plugins

mkdir -p %{buildroot}%{_datadir}/{pixmaps,applications}
install -m 644 %{SOURCE4} %{buildroot}%{_datadir}/applications/%{name}.desktop
install -m 644 %{SOURCE3} %{buildroot}%{_datadir}/pixmaps/%{name}.png

%find_lang %{name}

%post
rm -rf /etc/skel/.mozilla 
unset DISPLAY


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
rm -rf %_builddir/*

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/applications/*.desktop
%dir %{_libdir}/%{name}
%{_libdir}/%{name}
%dir /usr/lib/mozilla
%dir %{pluginsdir}
%{_datadir}/pixmaps/*.png


%changelog
* Sat Jun 25 2016 bb <bb> 26.3.1-1pclos2016
- update

* Fri May 13 2016 bb <bb> 26.2.2-1pclos2016
- update

* Sat Apr 16 2016 bb <bb> 26.2.1-1pclos2016
- update

* Tue Apr 05 2016 bb <bb> 26.2.0-1pclos2016
- update


